using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace rtfhtmlEditor
{
    public partial class FormSpecialChars : Form
    {
        public FormSpecialChars()
        {
            InitializeComponent();
        }

        private void FormSpecialChars_Load(object sender, EventArgs e)
        {
            for (int n = 33; n < 255; n++)
            {
                char cr = (char)n;
                if (Char.IsWhiteSpace(cr) == false)
                {
                    ListViewItem litem = new ListViewItem(Convert.ToString((char)n), 0);
                    this.listView1.Items.Add(litem);
                }
            }
            for (int n = 0; n < System.Drawing.FontFamily.Families.Length; n++)
            {
                this.cbxfontfamily.Items.Add(System.Drawing.FontFamily.Families[n].Name);
            }
            this.cbxfontfamily.SelectedItem = "Symbol";
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.listView1.Focus();
            FormEdit frmEdit = (FormEdit)this.Owner;
            this.label1.Text = this.label1.Text + this.listView1.SelectedItems[0].Text;
            frmEdit.htmlRichTextBox1.Focus();
            frmEdit.htmlRichTextBox1.SelectionFont = new Font(this.listView1.Font.FontFamily, (float)8.25);
            frmEdit.htmlRichTextBox1.SelectedText = this.listView1.SelectedItems[0].Text;
       }

        private void cbxfontfamily_SelectedIndexChanged(object sender, EventArgs e)
        {
            string stringfamily = this.cbxfontfamily.SelectedItem.ToString();
            Font nFont = new Font(stringfamily, this.listView1.Font.Size);
            this.listView1.Font = nFont;
            this.label1.Font = new Font(nFont.FontFamily, (float)8.25);
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            this.label1.Text = "";
        }
    }
}